<?php

/**
 * Implementation of hook_views_default_views().
 */
function ideastream_analytics_views_default_views() {

	//clean views object cache
	//db_query("DELETE FROM {views_object_cache}");

  /*
   * Get Taxonomy Ids
   */
   $review_types_id=0;
   $categories_id=0;
   
   $result = db_query("SELECT vid FROM {vocabulary} WHERE name='Categories'");
	while ($data = db_fetch_object($result)) {
	   $categories_id=$data->vid;
	}
	//remove Tags taxonomy
	$result = db_query("SELECT vid FROM {vocabulary} WHERE name='Review Types'");
	while ($data = db_fetch_object($result)) {
	   $review_types_id=$data->vid;
	}

	//$categories_id=10;

//-------------------------------------------------------

  /*
   * View 'manage_all_ideas'
   */
	$view = new view;
	$view->name = 'manage_all_ideas';
	$view->description = 'A view with all ideas displayed in a table';
	$view->tag = 'ideas, management, moderator, panel';
	$view->view_php = '';
	$view->base_table = 'node';
	$view->is_cacheable = FALSE;
	$view->api_version = 2;
	$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
	$handler = $view->new_display('default', 'Defaults', 'default');
	$handler->override_option('relationships', array(
	  'votingapi_cache' => array(
	    'label' => 'Vote results',
	    'required' => 0,
	    'votingapi' => array(
	      'value_type' => 'points',
	      'tag' => '',
	      'function' => 'sum',
	    ),
	    'id' => 'votingapi_cache',
	    'table' => 'node',
	    'field' => 'votingapi_cache',
	    'relationship' => 'none',
	  ),
	  'field_review_nid' => array(
	    'id' => 'field_review_nid',
	    'table' => 'node_data_field_review',
	    'field' => 'field_review_nid',
	  ),
	));
	$handler->override_option('fields', array(
	  'nid' => array(
	    'label' => 'Nid',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 0,
	    'exclude' => 0,
	    'id' => 'nid',
	    'table' => 'node',
	    'field' => 'nid',
	    'relationship' => 'none',
	  ),
	  'created' => array(
	    'label' => 'Post date',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'date_format' => 'small',
	    'custom_date_format' => '',
	    'exclude' => 0,
	    'id' => 'created',
	    'table' => 'node',
	    'field' => 'created',
	    'relationship' => 'none',
	  ),
	  'title' => array(
	    'label' => 'Title',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 1,
	    'exclude' => 0,
	    'id' => 'title',
	    'table' => 'node',
	    'field' => 'title',
	    'relationship' => 'none',
	  ),
	  'comment_count' => array(
	    'label' => 'Comment count',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'set_precision' => FALSE,
	    'precision' => 0,
	    'decimal' => '.',
	    'separator' => ',',
	    'prefix' => '',
	    'suffix' => '',
	    'exclude' => 0,
	    'id' => 'comment_count',
	    'table' => 'node_comment_statistics',
	    'field' => 'comment_count',
	    'relationship' => 'none',
	  ),
	  'value' => array(
	    'label' => 'User Rating',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'set_precision' => 0,
	    'precision' => '0',
	    'decimal' => '.',
	    'separator' => ',',
	    'prefix' => '',
	    'suffix' => '',
	    'appearance' => NULL,
	    'exclude' => 0,
	    'id' => 'value',
	    'table' => 'votingapi_cache',
	    'field' => 'value',
	    'relationship' => 'votingapi_cache',
	  ),
	  'title_1' => array(
	    'label' => 'Review Count',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 1,
	      'path' => 'node/[nid]/reviews',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 0,
	    'exclude' => 0,
	    'id' => 'title_1',
	    'table' => 'node',
	    'field' => 'title',
	    'relationship' => 'field_review_nid',
	  ),
	  'views_sql_groupedfields' => array(
	    'label' => 'Group By Fields',
	    'alter' => array(
	      'alter_text' => FALSE,
	      'text' => '',
	      'make_link' => FALSE,
	      'path' => '',
	      'alt' => '',
	      'link_class' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'trim' => FALSE,
	      'max_length' => '',
	      'word_boundary' => TRUE,
	      'ellipsis' => TRUE,
	      'strip_tags' => FALSE,
	      'html' => FALSE,
	    ),
	    'empty' => '',
	    'hide_empty' => 1,
	    'empty_zero' => 0,
	    'exclude' => '1',
	    'id' => 'views_sql_groupedfields',
	    'table' => 'views_groupby',
	    'field' => 'views_sql_groupedfields',
	    'relationship' => 'none',
	    'views_groupby_fields_to_group' => array(
	      'nid' => 'nid',
	    ),
	    'views_groupby_sql_function' => 'count',
	    'views_groupby_fields_to_aggregate' => array(
	      'title_1' => 'title_1',
	    ),
	    'views_groupby_field_sortby' => 'created',
	    'views_groupby_sortby_direction' => 'desc',
	    'override' => array(
	      'button' => 'Override',
	    ),
	  ),
	));
	$handler->override_option('filters', array(
	  'type' => array(
	    'operator' => 'in',
	    'value' => array(
	      'idea' => 'idea',
	    ),
	    'group' => '0',
	    'exposed' => FALSE,
	    'expose' => array(
	      'operator' => FALSE,
	      'label' => '',
	    ),
	    'id' => 'type',
	    'table' => 'node',
	    'field' => 'type',
	    'relationship' => 'none',
	  ),
	  'date_filter' => array(
	    'operator' => '>=',
	    'value' => array(
	      'min' => '2012-01-01 00:00:00',
	      'max' => '2012-01-01 00:00:00',
	      'value' => NULL,
	      'default_date' => '',
	      'default_to_date' => '',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'operator' => 'date_filter_op',
	      'label' => 'Date Range From',
	      'use_operator' => 0,
	      'identifier' => 'date_filter',
	      'optional' => 1,
	      'remember' => 0,
	    ),
	    'date_fields' => array(
	      'node.created' => 'node.created',
	    ),
	    'date_method' => 'AND',
	    'granularity' => 'day',
	    'form_type' => 'date_popup',
	    'default_date' => '',
	    'default_to_date' => '',
	    'year_range' => '-3:+3',
	    'id' => 'date_filter',
	    'table' => 'node',
	    'field' => 'date_filter',
	    'relationship' => 'none',
	  ),
	  'date_filter_1' => array(
	    'operator' => '<=',
	    'value' => array(
	      'value' => NULL,
	      'min' => NULL,
	      'max' => NULL,
	      'default_date' => '',
	      'default_to_date' => '',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'date_filter_1_op',
	      'identifier' => 'date_filter_1',
	      'label' => 'Date Range Until',
	      'optional' => 1,
	      'remember' => 0,
	    ),
	    'date_fields' => array(
	      'node.created' => 'node.created',
	    ),
	    'date_method' => 'OR',
	    'granularity' => 'day',
	    'form_type' => 'date_popup',
	    'default_date' => '',
	    'default_to_date' => '',
	    'year_range' => '-3:+3',
	    'id' => 'date_filter_1',
	    'table' => 'node',
	    'field' => 'date_filter',
	    'relationship' => 'none',
	  ),
	  'tid' => array(
	    'operator' => 'or',
	    'value' => array(),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'tid_op',
	      'identifier' => 'tid',
	      'label' => 'Idea Category',
	      'optional' => 1,
	      'single' => 1,
	      'remember' => 0,
	      'reduce' => 0,
	    ),
	    'type' => 'select',
	    'limit' => TRUE,
	    'vid' => "$categories_id",
	    'id' => 'tid',
	    'table' => 'term_node',
	    'field' => 'tid',
	    'hierarchy' => 0,
	    'relationship' => 'none',
	    'reduce_duplicates' => 0,
	  ),
	  'field_idea_contest_nid' => array(
	    'operator' => 'or',
	    'value' => array(),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'field_idea_contest_nid_op',
	      'identifier' => 'field_idea_contest_nid',
	      'label' => 'Idea Contest',
	      'optional' => 1,
	      'single' => 1,
	      'remember' => 0,
	      'reduce' => 0,
	    ),
	    'id' => 'field_idea_contest_nid',
	    'table' => 'node_data_field_idea_contest',
	    'field' => 'field_idea_contest_nid',
	    'relationship' => 'none',
	    'reduce_duplicates' => 0,
	  ),
	  'sid' => array(
	    'operator' => 'in',
	    'value' => array(
	      '2' => '2',
	      '3' => '3',
	      '4' => '4',
	      '5' => '5',
	      '6' => '6',
	      '7' => '7',
	      '8' => '8',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'sid_op',
	      'identifier' => 'sid',
	      'label' => 'Idea Status',
	      'optional' => 1,
	      'single' => 1,
	      'remember' => 0,
	      'reduce' => 1,
	    ),
	    'id' => 'sid',
	    'table' => 'workflow_node',
	    'field' => 'sid',
	    'relationship' => 'none',
	  ),
	  'status' => array(
	    'operator' => '=',
	    'value' => '1',
	    'group' => '0',
	    'exposed' => FALSE,
	    'expose' => array(
	      'operator' => FALSE,
	      'label' => '',
	    ),
	    'id' => 'status',
	    'table' => 'node',
	    'field' => 'status',
	    'relationship' => 'none',
	  ),
	));
	$handler->override_option('access', array(
	  'type' => 'perm',
	  'perm' => 'view analytics content',
	));
	$handler->override_option('cache', array(
	  'type' => 'none',
	));
	$handler->override_option('footer', '<a href="?q=analytics_export/ideas_list/csv" style="float: right;"><img title="CSV Export" src="'.drupal_get_path('module', 'ideastream_analytics') .'/img/csv_icon.png"/></a>');
	$handler->override_option('footer_format', '2');
	$handler->override_option('footer_empty', 0);
	$handler->override_option('items_per_page', 40);
	$handler->override_option('use_pager', '1');
	$handler->override_option('style_plugin', 'table');
	$handler->override_option('style_options', array(
	  'grouping' => '',
	  'override' => 1,
	  'sticky' => 0,
	  'order' => 'desc',
	  'columns' => array(
	    'nid' => 'nid',
	    'created' => 'created',
	    'title' => 'title',
	    'comment_count' => 'comment_count',
	    'value' => 'value',
	    'title_1' => 'title_1',
	    'views_sql_groupedfields' => 'views_sql_groupedfields',
	  ),
	  'info' => array(
	    'nid' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'created' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'title' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'comment_count' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'value' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'title_1' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'views_sql_groupedfields' => array(
	      'separator' => '',
	    ),
	  ),
	  'default' => 'created',
	));
	$handler = $view->new_display('page', 'Page', 'page_1');
	$handler->override_option('path', 'analytics/idea_management');
	$handler->override_option('menu', array(
	  'type' => 'normal',
	  'title' => 'Idea Management',
	  'description' => 'Browse and manage ideas',
	  'weight' => '10',
	  'name' => 'navigation',
	));
	$handler->override_option('tab_options', array(
	  'type' => 'none',
	  'title' => '',
	  'description' => '',
	  'weight' => 0,
	  'name' => 'navigation',
	));
	$views[$view->name] = $view;

	/*
	 * View 'manage_all_contests'
	 */

	$view = new view;
	$view->name = 'manage_all_contests';
	$view->description = 'A view with all contests displayed in a table';
	$view->tag = 'contest, management, moderator, panel';
	$view->view_php = '';
	$view->base_table = 'node';
	$view->is_cacheable = FALSE;
	$view->api_version = 2;
	$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
	$handler = $view->new_display('default', 'Defaults', 'default');
	$handler->override_option('relationships', array(
	  'votingapi_cache' => array(
	    'label' => 'Vote results',
	    'required' => 0,
	    'votingapi' => array(
	      'value_type' => 'points',
	      'tag' => '',
	      'function' => 'sum',
	    ),
	    'id' => 'votingapi_cache',
	    'table' => 'node',
	    'field' => 'votingapi_cache',
	    'relationship' => 'none',
	  ),
	  'field_has_ideas_nid' => array(
	    'label' => 'Collected Ideas',
	    'required' => 0,
	    'delta' => '-1',
	    'id' => 'field_has_ideas_nid',
	    'table' => 'node_data_field_has_ideas',
	    'field' => 'field_has_ideas_nid',
	    'relationship' => 'none',
	  ),
	));
	$handler->override_option('fields', array(
	  'nid' => array(
	    'label' => 'Nid',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 0,
	    'exclude' => 0,
	    'id' => 'nid',
	    'table' => 'node',
	    'field' => 'nid',
	    'relationship' => 'none',
	  ),
	  'title' => array(
	    'label' => 'Title',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 1,
	    'exclude' => 0,
	    'id' => 'title',
	    'table' => 'node',
	    'field' => 'title',
	    'relationship' => 'none',
	  ),
	  'created' => array(
	    'label' => 'Post date',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'date_format' => 'small',
	    'custom_date_format' => '',
	    'exclude' => 0,
	    'id' => 'created',
	    'table' => 'node',
	    'field' => 'created',
	    'relationship' => 'none',
	  ),
	  'state' => array(
	    'label' => 'State',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '-',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'exclude' => 0,
	    'id' => 'state',
	    'table' => 'workflow_states',
	    'field' => 'state',
	    'relationship' => 'none',
	  ),
	  'name' => array(
	    'label' => 'Creator',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_user' => 1,
	    'overwrite_anonymous' => 0,
	    'anonymous_text' => '',
	    'exclude' => 0,
	    'id' => 'name',
	    'table' => 'users',
	    'field' => 'name',
	    'relationship' => 'none',
	  ),
	  'title_2' => array(
	    'label' => 'Idea Count',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '-',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 0,
	    'exclude' => 0,
	    'id' => 'title_2',
	    'table' => 'node',
	    'field' => 'title',
	    'relationship' => 'field_has_ideas_nid',
	  ),
	  'views_sql_groupedfields' => array(
	    'label' => 'Group By Fields',
	    'alter' => array(
	      'alter_text' => FALSE,
	      'text' => '',
	      'make_link' => FALSE,
	      'path' => '',
	      'alt' => '',
	      'link_class' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'trim' => FALSE,
	      'max_length' => '',
	      'word_boundary' => TRUE,
	      'ellipsis' => TRUE,
	      'strip_tags' => FALSE,
	      'html' => FALSE,
	    ),
	    'empty' => '-',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'exclude' => '1',
	    'id' => 'views_sql_groupedfields',
	    'table' => 'views_groupby',
	    'field' => 'views_sql_groupedfields',
	    'relationship' => 'none',
	    'views_groupby_fields_to_group' => array(
	      'nid' => 'nid',
	    ),
	    'views_groupby_sql_function' => 'count',
	    'views_groupby_fields_to_aggregate' => array(
	      'title_2' => 'title_2',
	      'comment_count' => 'comment_count',
	    ),
	    'views_groupby_field_sortby' => 'created',
	    'views_groupby_sortby_direction' => 'desc',
	  ),
	));
	$handler->override_option('filters', array(
	  'type' => array(
	    'operator' => 'in',
	    'value' => array(
	      'contest' => 'contest',
	    ),
	    'group' => '0',
	    'exposed' => FALSE,
	    'expose' => array(
	      'operator' => FALSE,
	      'label' => '',
	    ),
	    'id' => 'type',
	    'table' => 'node',
	    'field' => 'type',
	    'relationship' => 'none',
	  ),
	  'date_filter' => array(
	    'operator' => '>=',
	    'value' => array(
	      'min' => '2012-01-01 00:00:00',
	      'max' => '2012-01-01 00:00:00',
	      'value' => NULL,
	      'default_date' => '',
	      'default_to_date' => '',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'operator' => 'date_filter_op',
	      'label' => 'Date Range From',
	      'use_operator' => 0,
	      'identifier' => 'date_filter',
	      'optional' => 1,
	      'remember' => 0,
	    ),
	    'date_fields' => array(
	      'node.created' => 'node.created',
	    ),
	    'date_method' => 'AND',
	    'granularity' => 'day',
	    'form_type' => 'date_popup',
	    'default_date' => '',
	    'default_to_date' => '',
	    'year_range' => '-3:+3',
	    'id' => 'date_filter',
	    'table' => 'node',
	    'field' => 'date_filter',
	    'relationship' => 'none',
	  ),
	  'date_filter_1' => array(
	    'operator' => '<=',
	    'value' => array(
	      'value' => NULL,
	      'min' => NULL,
	      'max' => NULL,
	      'default_date' => '',
	      'default_to_date' => '',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'date_filter_1_op',
	      'identifier' => 'date_filter_1',
	      'label' => 'Date Range Until',
	      'optional' => 1,
	      'remember' => 0,
	    ),
	    'date_fields' => array(
	      'node.created' => 'node.created',
	    ),
	    'date_method' => 'OR',
	    'granularity' => 'day',
	    'form_type' => 'date_popup',
	    'default_date' => '',
	    'default_to_date' => '',
	    'year_range' => '-3:+3',
	    'id' => 'date_filter_1',
	    'table' => 'node',
	    'field' => 'date_filter',
	    'relationship' => 'none',
	  ),
	  'sid' => array(
	    'operator' => 'in',
	    'value' => array(
	      '10' => '10',
	      '11' => '11',
	      '12' => '12',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'sid_op',
	      'identifier' => 'sid',
	      'label' => 'Contest Status',
	      'optional' => 1,
	      'single' => 1,
	      'remember' => 0,
	      'reduce' => 1,
	    ),
	    'id' => 'sid',
	    'table' => 'workflow_node',
	    'field' => 'sid',
	    'relationship' => 'none',
	  ),
	  'status' => array(
	    'operator' => '=',
	    'value' => '1',
	    'group' => '0',
	    'exposed' => FALSE,
	    'expose' => array(
	      'operator' => FALSE,
	      'label' => '',
	    ),
	    'id' => 'status',
	    'table' => 'node',
	    'field' => 'status',
	    'relationship' => 'none',
	  ),
	));
	$handler->override_option('access', array(
	  'type' => 'perm',
	  'perm' => 'view analytics content',
	));
	$handler->override_option('cache', array(
	  'type' => 'none',
	));
	$handler->override_option('footer', '<a href="?q=analytics_export/contests_list/csv" style="float: right;"><img title="CSV Export" src="'.drupal_get_path('module', 'ideastream_analytics') .'/img/csv_icon.png"/></a>');
	$handler->override_option('footer_format', '2');
	$handler->override_option('footer_empty', 0);
	$handler->override_option('items_per_page', 40);
	$handler->override_option('use_pager', '1');
	$handler->override_option('style_plugin', 'table');
	$handler->override_option('style_options', array(
	  'grouping' => '',
	  'override' => 1,
	  'sticky' => 0,
	  'order' => 'desc',
	  'columns' => array(
	    'nid' => 'nid',
	    'title' => 'title',
	    'created' => 'created',
	    'state' => 'state',
	    'name' => 'name',
	    'title_2' => 'title_2',
	    'views_sql_groupedfields' => 'views_sql_groupedfields',
	  ),
	  'info' => array(
	    'nid' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'title' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'created' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'state' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'name' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'title_2' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'views_sql_groupedfields' => array(
	      'separator' => '',
	    ),
	  ),
	  'default' => 'created',
	));
	$handler = $view->new_display('page', 'Page', 'page_1');
	$handler->override_option('path', 'analytics/contest_management');
	$handler->override_option('menu', array(
	  'type' => 'normal',
	  'title' => 'Contest Management',
	  'description' => 'Browse and manage contests',
	  'weight' => '20',
	  'name' => 'navigation',
	));
	$handler->override_option('tab_options', array(
	  'type' => 'none',
	  'title' => '',
	  'description' => '',
	  'weight' => 0,
	  'name' => 'navigation',
	));
	$views[$view->name] = $view;
	
	/*
	 * View 'manage_all_reviews'
	 */
	 
	$view = new view;
	$view->name = 'manage_all_reviews';
	$view->description = 'A view with all reviews displayed in a table';
	$view->tag = 'reviews, management, moderator, panel';
	$view->view_php = '';
	$view->base_table = 'node';
	$view->is_cacheable = FALSE;
	$view->api_version = 2;
	$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
	$handler = $view->new_display('default', 'Defaults', 'default');
	$handler->override_option('relationships', array(
	  'votingapi_cache' => array(
	    'label' => 'Vote results',
	    'required' => 0,
	    'votingapi' => array(
	      'value_type' => 'points',
	      'tag' => '',
	      'function' => 'sum',
	    ),
	    'id' => 'votingapi_cache',
	    'table' => 'node',
	    'field' => 'votingapi_cache',
	    'relationship' => 'none',
	  ),
	  'field_reviewed_idea_nid' => array(
	    'id' => 'field_reviewed_idea_nid',
	    'table' => 'node_data_field_reviewed_idea',
	    'field' => 'field_reviewed_idea_nid',
	  ),
	));
	$handler->override_option('fields', array(
	  'nid' => array(
	    'label' => 'Nid',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 0,
	    'exclude' => 0,
	    'id' => 'nid',
	    'table' => 'node',
	    'field' => 'nid',
	    'relationship' => 'none',
	  ),
	  'title' => array(
	    'label' => 'Title',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 1,
	    'exclude' => 0,
	    'id' => 'title',
	    'table' => 'node',
	    'field' => 'title',
	    'relationship' => 'none',
	  ),
	  'field_review_rating_value' => array(
	    'label' => 'Rating',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 0,
	    'label_type' => 'widget',
	    'format' => 'default',
	    'multiple' => array(
	      'group' => TRUE,
	      'multiple_number' => '',
	      'multiple_from' => '',
	      'multiple_reversed' => FALSE,
	    ),
	    'exclude' => 0,
	    'id' => 'field_review_rating_value',
	    'table' => 'node_data_field_review_rating',
	    'field' => 'field_review_rating_value',
	    'relationship' => 'none',
	  ),
	  'created' => array(
	    'label' => 'Post date',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'date_format' => 'small',
	    'custom_date_format' => '',
	    'exclude' => 0,
	    'id' => 'created',
	    'table' => 'node',
	    'field' => 'created',
	    'relationship' => 'none',
	  ),
	  'name_1' => array(
	    'label' => 'Author',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_user' => 1,
	    'overwrite_anonymous' => 0,
	    'anonymous_text' => '',
	    'exclude' => 0,
	    'id' => 'name_1',
	    'table' => 'users',
	    'field' => 'name',
	    'relationship' => 'none',
	  ),
	  'name' => array(
	    'label' => 'Type',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => '',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_taxonomy' => 0,
	    'exclude' => 0,
	    'id' => 'name',
	    'table' => 'term_data',
	    'field' => 'name',
	    'relationship' => 'none',
	  ),
	  'title_1' => array(
	    'label' => 'Idea',
	    'alter' => array(
	      'alter_text' => 0,
	      'text' => '',
	      'make_link' => 0,
	      'path' => 'node/[nid]/reviews',
	      'link_class' => '',
	      'alt' => '',
	      'prefix' => '',
	      'suffix' => '',
	      'target' => '',
	      'help' => '',
	      'trim' => 0,
	      'max_length' => '',
	      'word_boundary' => 1,
	      'ellipsis' => 1,
	      'html' => 0,
	      'strip_tags' => 0,
	    ),
	    'empty' => '',
	    'hide_empty' => 0,
	    'empty_zero' => 0,
	    'link_to_node' => 1,
	    'exclude' => 0,
	    'id' => 'title_1',
	    'table' => 'node',
	    'field' => 'title',
	    'relationship' => 'field_reviewed_idea_nid',
	  ),
	));
	$handler->override_option('filters', array(
	  'type' => array(
	    'operator' => 'in',
	    'value' => array(
	      'review' => 'review',
	    ),
	    'group' => '0',
	    'exposed' => FALSE,
	    'expose' => array(
	      'operator' => FALSE,
	      'label' => '',
	    ),
	    'id' => 'type',
	    'table' => 'node',
	    'field' => 'type',
	    'relationship' => 'none',
	  ),
	  'date_filter' => array(
	    'operator' => '>=',
	    'value' => array(
	      'value' => NULL,
	      'min' => NULL,
	      'max' => NULL,
	      'default_date' => '',
	      'default_to_date' => '',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'date_filter_op',
	      'identifier' => 'date_filter',
	      'label' => 'Date Range From',
	      'optional' => 1,
	      'remember' => 0,
	    ),
	    'date_fields' => array(
	      'node.created' => 'node.created',
	    ),
	    'date_method' => 'OR',
	    'granularity' => 'day',
	    'form_type' => 'date_popup',
	    'default_date' => '',
	    'default_to_date' => '',
	    'year_range' => '-3:+3',
	    'id' => 'date_filter',
	    'table' => 'node',
	    'field' => 'date_filter',
	    'relationship' => 'none',
	  ),
	  'date_filter_1' => array(
	    'operator' => '<=',
	    'value' => array(
	      'value' => NULL,
	      'min' => NULL,
	      'max' => NULL,
	      'default_date' => '',
	      'default_to_date' => '',
	    ),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'date_filter_1_op',
	      'identifier' => 'date_filter_1',
	      'label' => 'Date Range Until',
	      'optional' => 1,
	      'remember' => 0,
	    ),
	    'date_fields' => array(
	      'node.created' => 'node.created',
	    ),
	    'date_method' => 'OR',
	    'granularity' => 'day',
	    'form_type' => 'date_popup',
	    'default_date' => '',
	    'default_to_date' => '',
	    'year_range' => '-3:+3',
	    'id' => 'date_filter_1',
	    'table' => 'node',
	    'field' => 'date_filter',
	    'relationship' => 'none',
	  ),
	  'tid' => array(
	    'operator' => 'or',
	    'value' => array(),
	    'group' => '0',
	    'exposed' => TRUE,
	    'expose' => array(
	      'use_operator' => 0,
	      'operator' => 'tid_op',
	      'identifier' => 'tid',
	      'label' => 'Review Type',
	      'optional' => 1,
	      'single' => 1,
	      'remember' => 0,
	      'reduce' => 0,
	    ),
	    'type' => 'select',
	    'limit' => TRUE,
	    'vid' => "$review_types_id",
	    'id' => 'tid',
	    'table' => 'term_node',
	    'field' => 'tid',
	    'hierarchy' => 0,
	    'relationship' => 'none',
	    'reduce_duplicates' => 0,
	  ),
	  'status' => array(
	    'operator' => '=',
	    'value' => '1',
	    'group' => '0',
	    'exposed' => FALSE,
	    'expose' => array(
	      'operator' => FALSE,
	      'label' => '',
	    ),
	    'id' => 'status',
	    'table' => 'node',
	    'field' => 'status',
	    'relationship' => 'none',
	  ),
	));
	$handler->override_option('access', array(
	  'type' => 'perm',
	  'perm' => 'view analytics content',

	));
	$handler->override_option('cache', array(
	  'type' => 'none',
	));
	$handler->override_option('footer', '<a href="?q=analytics_export/reviews_list/csv" style="float: right;"><img title="CSV Export" src="'.drupal_get_path('module', 'ideastream_analytics') .'/img/csv_icon.png"/></a>');
	$handler->override_option('footer_format', '2');
	$handler->override_option('footer_empty', 0);
	$handler->override_option('items_per_page', 40);
	$handler->override_option('use_pager', '1');
	$handler->override_option('style_plugin', 'table');
	$handler->override_option('style_options', array(
	  'grouping' => '',
	  'override' => 1,
	  'sticky' => 0,
	  'order' => 'desc',
	  'columns' => array(
	    'nid' => 'nid',
	    'title' => 'title',
	    'field_review_rating_value' => 'field_review_rating_value',
	    'created' => 'created',
	    'name_1' => 'name_1',
	    'name' => 'name',
	    'title_1' => 'title_1',
	  ),
	  'info' => array(
	    'nid' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'title' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'field_review_rating_value' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'created' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'name_1' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'name' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	    'title_1' => array(
	      'sortable' => 1,
	      'separator' => '',
	    ),
	  ),
	  'default' => 'created',
	));
	$handler = $view->new_display('page', 'Page', 'page_1');
	$handler->override_option('path', 'analytics/review_management');
	$handler->override_option('menu', array(
	  'type' => 'normal',
	  'title' => 'Review Management',
	  'description' => 'Browse and manage reviews',
	  'weight' => '30',
	  'name' => 'navigation',
	));
	$handler->override_option('tab_options', array(
	  'type' => 'none',
	  'title' => '',
	  'description' => '',
	  'weight' => 0,
	  'name' => 'navigation',
	));	
	$views[$view->name] = $view;


  return $views;
}




